## AgsVolumeUtil

AgsVolumeUtil — Boxed type of volume util

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsVolumeUtil * | ags_volume_util_alloc ()
gpointer | ags_volume_util_copy ()
void | ags_volume_util_free ()
gpointer | ags_volume_util_get_destination ()
void | ags_volume_util_set_destination ()
guint | ags_volume_util_get_destination_stride ()
void | ags_volume_util_set_destination_stride ()
gpointer | ags_volume_util_get_source ()
void | ags_volume_util_set_source ()
guint | ags_volume_util_get_source_stride ()
void | ags_volume_util_set_source_stride ()
guint | ags_volume_util_get_buffer_length ()
void | ags_volume_util_set_buffer_length ()
AgsSoundcardFormat | ags_volume_util_get_format ()
void | ags_volume_util_set_format ()
gdouble | ags_volume_util_get_volume ()
void | ags_volume_util_set_volume ()
void | ags_volume_util_compute_s8 ()
void | ags_volume_util_compute_s16 ()
void | ags_volume_util_compute_s24 ()
void | ags_volume_util_compute_s32 ()
void | ags_volume_util_compute_s64 ()
void | ags_volume_util_compute_float ()
void | ags_volume_util_compute_double ()
void | ags_volume_util_compute_complex ()
void | ags_volume_util_compute ()

## Types and Values

#define | AGS_VOLUME_UTIL_INITIALIZER

## Object Hierarchy

        GBoxed
        ╰── AgsVolumeUtil

## Includes

    #include <ags/audio/ags_volume_util.h>

## Description

Boxed type of volume util data type.

## Functions

### ags_volume_util_alloc ()

    AgsVolumeUtil *
    ags_volume_util_alloc ();

Allocate AgsVolumeUtil

#### Returns

a new AgsVolumeUtil

Since: 3.9.2

### ags_volume_util_copy ()

    gpointer
    ags_volume_util_copy (AgsVolumeUtil *ptr);

Create a copy of `ptr` .

#### Parameters

ptr | the original AgsVolumeUtil |

#### Returns

a pointer of the new AgsVolumeUtil

Since: 3.9.2

### ags_volume_util_free ()

    void
    ags_volume_util_free (AgsVolumeUtil *ptr);

Free the memory of `ptr` .

#### Parameters

ptr | the AgsVolumeUtil |

Since: 3.9.2

### ags_volume_util_get_destination ()

    gpointer
    ags_volume_util_get_destination (AgsVolumeUtil *volume_util);

Get destination buffer of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |

#### Returns

the destination buffer

Since: 3.9.2

### ags_volume_util_set_destination ()

    void
    ags_volume_util_set_destination (AgsVolumeUtil *volume_util,
                                     gpointer destination);

Set `destination` buffer of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |
destination | (transfer none) : the destination buffer |

Since: 3.9.2

### ags_volume_util_get_destination_stride ()

    guint
    ags_volume_util_get_destination_stride
                                   (AgsVolumeUtil *volume_util);

Get destination stride of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |

#### Returns

the destination buffer stride

Since: 3.9.2

### ags_volume_util_set_destination_stride ()

    void
    ags_volume_util_set_destination_stride
                                   (AgsVolumeUtil *volume_util,
                                    guint destination_stride);

Set `destination` stride of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |
destination_stride | the destination buffer stride |

Since: 3.9.2

### ags_volume_util_get_source ()

    gpointer
    ags_volume_util_get_source (AgsVolumeUtil *volume_util);

Get source buffer of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |

#### Returns

the source buffer

Since: 3.9.2

### ags_volume_util_set_source ()

    void
    ags_volume_util_set_source (AgsVolumeUtil *volume_util,
                                gpointer source);

Set `source` buffer of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |
source | the source buffer. | [transfer none]

Since: 3.9.2

### ags_volume_util_get_source_stride ()

    guint
    ags_volume_util_get_source_stride (AgsVolumeUtil *volume_util);

Get source stride of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |

#### Returns

the source buffer stride

Since: 3.9.2

### ags_volume_util_set_source_stride ()

    void
    ags_volume_util_set_source_stride (AgsVolumeUtil *volume_util,
                                       guint source_stride);

Set `source` stride of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |
source_stride | the source buffer stride |

Since: 3.9.2

### ags_volume_util_get_buffer_length ()

    guint
    ags_volume_util_get_buffer_length (AgsVolumeUtil *volume_util);

Get buffer length of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |

#### Returns

the buffer length

Since: 3.9.2

### ags_volume_util_set_buffer_length ()

    void
    ags_volume_util_set_buffer_length (AgsVolumeUtil *volume_util,
                                       guint buffer_length);

Set `buffer_length` of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |
buffer_length | the buffer length |

Since: 3.9.2

### ags_volume_util_get_format ()

    AgsSoundcardFormat
    ags_volume_util_get_format (AgsVolumeUtil *volume_util);

Get format of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |

#### Returns

the format

Since: 3.9.6

### ags_volume_util_set_format ()

    void
    ags_volume_util_set_format (AgsVolumeUtil *volume_util,
                                AgsSoundcardFormat format);

Set `format` of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |
format | the format |

Since: 3.9.6

### ags_volume_util_get_volume ()

    gdouble
    ags_volume_util_get_volume (AgsVolumeUtil *volume_util);

Get volume of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |

#### Returns

the volume

Since: 3.9.2

### ags_volume_util_set_volume ()

    void
    ags_volume_util_set_volume (AgsVolumeUtil *volume_util,
                                gdouble volume);

Set `volume` of `volume_util` .

#### Parameters

volume_util | the AgsVolumeUtil |
volume | the volume |

Since: 3.9.2

### ags_volume_util_compute_s8 ()

    void
    ags_volume_util_compute_s8 (AgsVolumeUtil *volume_util);

Compute volume of signed 8 bit data.

#### Parameters

volume_util | the AgsVolumeUtil |

Since: 3.9.2

### ags_volume_util_compute_s16 ()

    void
    ags_volume_util_compute_s16 (AgsVolumeUtil *volume_util);

Compute volume of signed 16 bit data.

#### Parameters

volume_util | the AgsVolumeUtil |

Since: 3.9.2

### ags_volume_util_compute_s24 ()

    void
    ags_volume_util_compute_s24 (AgsVolumeUtil *volume_util);

Compute volume of signed 24 bit data.

#### Parameters

volume_util | the AgsVolumeUtil |

Since: 3.9.2

### ags_volume_util_compute_s32 ()

    void
    ags_volume_util_compute_s32 (AgsVolumeUtil *volume_util);

Compute volume of signed 32 bit data.

#### Parameters

volume_util | the AgsVolumeUtil |

Since: 3.9.2

### ags_volume_util_compute_s64 ()

    void
    ags_volume_util_compute_s64 (AgsVolumeUtil *volume_util);

Compute volume of signed 64 bit data.

#### Parameters

volume_util | the AgsVolumeUtil |

Since: 3.9.2

### ags_volume_util_compute_float ()

    void
    ags_volume_util_compute_float (AgsVolumeUtil *volume_util);

Compute volume of floating point data.

#### Parameters

volume_util | the AgsVolumeUtil |

Since: 3.9.2

### ags_volume_util_compute_double ()

    void
    ags_volume_util_compute_double (AgsVolumeUtil *volume_util);

Compute volume of double precision floating point data.

#### Parameters

volume_util | the AgsVolumeUtil |

Since: 3.9.2

### ags_volume_util_compute_complex ()

    void
    ags_volume_util_compute_complex (AgsVolumeUtil *volume_util);

Compute volume of complex floating point data.

#### Parameters

volume_util | the AgsVolumeUtil |

Since: 3.9.2

### ags_volume_util_compute ()

    void
    ags_volume_util_compute (AgsVolumeUtil *volume_util);

Compute volume.

#### Parameters

volume_util | the AgsVolumeUtil |

Since: 3.9.2

## Types and Values

### AGS_VOLUME_UTIL_INITIALIZER

    #define             AGS_VOLUME_UTIL_INITIALIZER